From e4b2638c6523ce184f5f183e9c57b3ce0bbef37c Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 12 Dec 2016 14:54:30 -0800
Subject: [PATCH] * build-aux/git-hooks/pre-commit: Add whitespace comment.

---
 build-aux/git-hooks/pre-commit | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/build-aux/git-hooks/pre-commit b/build-aux/git-hooks/pre-commit
index 5a51244..3709784 100755
--- a/build-aux/git-hooks/pre-commit
+++ b/build-aux/git-hooks/pre-commit
@@ -45,4 +45,12 @@ nbadchars=
   esac
 done
 
+# The '--check' option of git diff-index makes Git complain if changes
+# introduce whitespace errors.  This can be a pain when editing test
+# files that deliberately contain lines with trailing whitespace.
+# To work around the problem you can run a command like 'git config
+# core.whitespace -trailing-space'.  It may be better to revamp the
+# tests so that trailing spaces are generated on the fly rather than
+# being committed as source.
+
 exec git diff-index --check --cached HEAD --
-- 
2.7.4

